public static interface AtmosEndpointBuilderFactory.AtmosBuilders
| Modifier and Type | Method and Description |
|---|---|
default AtmosEndpointBuilderFactory.AtmosEndpointBuilder |
atmos(String path)
Atmos (camel-atmos)
Integrate with EMC's ViPR object data services using the Atmos
Client.
|
default AtmosEndpointBuilderFactory.AtmosEndpointBuilder |
atmos(String componentName,
String path)
Atmos (camel-atmos)
Integrate with EMC's ViPR object data services using the Atmos
Client.
|
default AtmosEndpointBuilderFactory.AtmosEndpointBuilder atmos(String path)
atmos:name/operation
Path parameter: name
Atmos name
Path parameter: operation (required)
Operation to perform
There are 5 enums and the value can be one of: put, del, search, get,
movepath - name/operationdefault AtmosEndpointBuilderFactory.AtmosEndpointBuilder atmos(String componentName, String path)
atmos:name/operation
Path parameter: name
Atmos name
Path parameter: operation (required)
Operation to perform
There are 5 enums and the value can be one of: put, del, search, get,
movecomponentName - to use a custom component name for the endpoint
instead of the default namepath - name/operationApache Camel